﻿// See https://aka.ms/new-console-template for more information

using StockAdvisory;

namespace ConsoleFrontend;

internal class Program
{
    static void Main(string[] args)
    {
        var analyzer = new StockDifferenceAnalyzer(StaticStockData.EarlierRecords, StaticStockData.LaterRecords);
        var formatter = new StockTextFormatter();
        Console.WriteLine("Added stocks:");
        Console.WriteLine(formatter.Format(analyzer.AddedStocks()));
        Console.WriteLine("Removed stocks:");
        Console.WriteLine(formatter.Format(analyzer.RemovedStocks()));
        Console.WriteLine("Changed stocks:");
        Console.WriteLine(formatter.Format(analyzer.ChangedPositions()));
    }
}
